Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jxpath
Class JXPathBasicBeanInfo

    java.lang.Object
      |
      +--org.apache.commons.jxpath.JXPathBasicBeanInfo

All Implemented Interfaces:
  JXPathBeanInfo

public class JXPathBasicBeanInfo
extends java.lang.Object
implements JXPathBeanInfo

An implementation of JXPathBeanInfo based on JavaBeans' BeanInfo. Properties advertised by JXPathBasicBeanInfo are the same as those advertised by BeanInfo for the corresponding class. See java.beans.BeanInfo, java.beans.Introspector

Version:
  $Revision: 1.6 $ $Date: 2003/03/11 00:59:12 $
Author:
  Dmitri Plotnikov

Constructor Summary
`JXPathBasicBeanInfo(java.lang.Class clazz)`
`JXPathBasicBeanInfo(java.lang.Class clazz, boolean atomic)`
`JXPathBasicBeanInfo(java.lang.Class clazz, java.lang.Class dynamicPropertyHandlerClass)`

Method Summary
`java.lang.Class` | `getDynamicPropertyHandlerClass()` For a dynamic class, returns the corresponding DynamicPropertyHandler class.
`java.beans.PropertyDescriptor` | `getPropertyDescriptor(java.lang.String propertyName)` Returns a PropertyDescriptor for the specified name or null if there is no such property.
`java.beans.PropertyDescriptor[]` | `getPropertyDescriptors()` Returns a list of property descriptors for the beans described by this bean info object.
`boolean` | `isAtomic()` Returns true if objects of this class are treated as atomic objects which have no properties of their own.
`boolean` | `isDynamic()` Return true if the corresponding objects have dynamic properties.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JXPathBasicBeanInfo

    public JXPathBasicBeanInfo(java.lang.Class clazz)

### JXPathBasicBeanInfo

    public JXPathBasicBeanInfo(java.lang.Class clazz,
                               boolean atomic)

### JXPathBasicBeanInfo

    public JXPathBasicBeanInfo(java.lang.Class clazz,
                               java.lang.Class dynamicPropertyHandlerClass)

Method Detail

### isAtomic

    public boolean isAtomic()

  Returns true if objects of this class are treated as atomic objects which have no properties of their own.
  Specified by:
    `isAtomic` in interface `JXPathBeanInfo`

### isDynamic

    public boolean isDynamic()

  Return true if the corresponding objects have dynamic properties.
  Specified by:
    `isDynamic` in interface `JXPathBeanInfo`

### getPropertyDescriptors

    public java.beans.PropertyDescriptor[] getPropertyDescriptors()

  Description copied from interface: `JXPathBeanInfo`
  Returns a list of property descriptors for the beans described by this bean info object. Returns null for atomic beans.
  Specified by:
    `getPropertyDescriptors` in interface `JXPathBeanInfo`

### getPropertyDescriptor

    public java.beans.PropertyDescriptor getPropertyDescriptor(java.lang.String propertyName)

  Description copied from interface: `JXPathBeanInfo`
  Returns a PropertyDescriptor for the specified name or null if there is no such property.
  Specified by:
    `getPropertyDescriptor` in interface `JXPathBeanInfo`

### getDynamicPropertyHandlerClass

    public java.lang.Class getDynamicPropertyHandlerClass()

  For a dynamic class, returns the corresponding DynamicPropertyHandler class.
  Specified by:
    `getDynamicPropertyHandlerClass` in interface `JXPathBeanInfo`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Apache Software Foundation. All Rights Reserved.